html,
body {
  height: 100%;
}

::-webkit-scrollbar {
  width: 5px !important;
  height: 5px !important;
  border-radius: 10px !important;
}

::-webkit-scrollbar-thumb {
  background-color: #9e9e9e !important;
  border-radius: 10px !important;
}

.outlet-wrapper {
  padding: calc(64px + 1.5rem) 1.5rem 1.5rem !important;
}

.spacer {
  flex: 1 1 auto !important;
}

.r-0 {
  right: 0 !important;
}

.underlined-text {
  text-decoration: underline !important;
}

// HEIGHT
.h-100 {
  height: 100% !important;
}
.h-50v {
  height: 50vh !important;
}
.h-33v {
  height: 33vh !important;
}
.h-25v {
  height: 25vh !important;
}
.h-15v {
  height: 15vh !important;
}

// WIDTH
.w-10 {
  width: 10% !important;
}
.w-25 {
  width: 25% !important;
}
.w-33 {
  width: 33% !important;
}
.w-50 {
  width: 50% !important;
}
.w-90 {
  width: 90% !important;
}
.w-100 {
  width: 100% !important;
}

// DISPLAY
.d-none {
  display: none !important;
}
.d-flex {
  display: flex !important;
}
.d-block {
  display: block !important;
}
.d-inline-flex {
  display: inline-flex !important;
}
.flex-column {
  flex-direction: column !important;
}

// FLEX LAYOUT
.justify-content-center {
  justify-content: center !important;
}
.justify-content-between {
  justify-content: space-between !important;
}
.justify-content-start {
  justify-content: start !important;
}
.justify-content-end {
  justify-content: end !important;
}
.justify-content-evenly {
  justify-content: space-evenly !important;
}
.justify-content-around {
  justify-content: space-around !important;
}
.align-items-center {
  align-items: center !important;
}
.align-items-start {
  align-items: start !important;
}

// FONT SIZE
.fs-50 {
  font-size: 50px !important;
}
.fs-36 {
  font-size: 36px !important;
}
.fs-26 {
  font-size: 26px !important;
}
.fs-24 {
  font-size: 24px !important;
}
.fs-22 {
  font-size: 22px !important;
}
.fs-18 {
  font-size: 18px !important;
}
.fs-16 {
  font-size: 16px !important;
}
.fs-14 {
  font-size: 14px !important;
}
.fs-12 {
  font-size: 12px !important;
}

// LINE HEIGHT
.line-h-36 {
  line-height: 36px !important;
}
.line-h-50 {
  line-height: 50px !important;
}

// FONT WEIGHT
.fw-500 {
  font-weight: 500 !important;
}
.fw-700 {
  font-weight: 700 !important;
}

// PADDING
.p-0 {
  padding: 0 !important;
}
.p-1 {
  padding: 1rem !important;
}
.p-2 {
  padding: 2rem !important;
}
.pt-2 {
  padding: 2rem !important;
}
.pb-1 {
  padding-bottom: 1rem !important;
}
.px-2 {
  padding-right: 2rem !important;
  padding-left: 2rem !important;
}
.pl-1 {
  padding-left: 1rem !important;
}
.pr-1 {
  padding-right: 1rem !important;
}

// MARGIN
.m-center {
  margin: 0 auto !important;
}
.m-1 {
  margin: 1rem !important;
}
.mt-0 {
  margin-top: 0 !important;
}
.mt-1 {
  margin-top: 1rem !important;
}
.mt-2 {
  margin-top: 2rem !important;
}
.mt-3 {
  margin-top: 3rem !important;
}
.mt-4px {
  margin-top: 4px !important;
}
.mt-8px {
  margin-top: 8px !important;
}
.mr-4 {
  margin-right: 4rem !important;
}
.mr-3 {
  margin-right: 3rem !important;
}
.mr-1 {
  margin-right: 1rem !important;
}
.mr-4px {
  margin-right: 4px !important;
}
.mb-0 {
  margin-bottom: 0 !important;
}
.mb-1 {
  margin-bottom: 1rem !important;
}
.mb-3 {
  margin-bottom: 3rem !important;
}
.my-0 {
  margin-top: 0 !important;
  margin-bottom: 0 !important;
}
.my-2 {
  margin-top: 2rem !important;
  margin-bottom: 2rem !important;
}
.mx-0 {
  margin-left: 0 !important;
  margin-right: 0 !important;
}
.mx-1 {
  margin-left: 1rem !important;
  margin-right: 1rem !important;
}
.mx-16px {
  margin-left: 16px !important;
  margin-right: 16px !important;
}
.ml-0 {
  margin-left: 0 !important;
}
.ml-1 {
  margin-left: 1rem !important;
}
.ml-2 {
  margin-left: 2rem !important;
}
.ml-3 {
  margin-left: 3rem !important;
}
.ml-4px {
  margin-left: 4px !important;
}

// MISC.
.border-radius-0 {
  border-radius: 0 !important;
}
.text-disabled {
  color: rgba(38, 50, 75, 0.38) !important;
}
.opacity-0 {
  opacity: 0 !important;
}
.v-align-middle {
  vertical-align: middle !important;
}

.configure-component-dialog .configure-component-dialog-header {
  padding: 1rem !important;
}
.configure-component-dialog .mat-mdc-dialog-content {
  min-height: 86vh !important;
}

.mat-mdc-standard-chip.slabs-chip {
  --mdc-chip-label-text-weight: 500 !important;
  --mdc-chip-container-height: fit-content !important;
  width: fit-content;
  margin: 0 16px;
  pointer-events: none;
}

.mat-mdc-tab-group.hidden-tab-header > .mat-mdc-tab-header {
  display: none !important;
}

.mat-mdc-form-field.dataspace-tree-search {
  flex: 1 1 100% !important;
}
.dataspace-tree-search .mat-mdc-form-field-subscript-wrapper {
  display: none !important;
}

.mat-mdc-form-field .mat-mdc-form-field-icon-prefix,
.mat-mdc-form-field .mat-mdc-form-field-icon-suffix {
  display: flex !important;
  align-items: center !important;
}

.cdk-overlay-pane .dataspace-tree-node-menu.mat-mdc-menu-panel {
  min-width: fit-content !important;
}

.cursor-pointer {
  cursor: pointer !important;
}
.cursor-default {
  cursor: default !important;
}
.pointer-events-none {
  pointer-events: none !important;
}

.mat-horizontal-content-container {
  background-color: #f2f4f8 !important;
}

// Needed in CreateDataSpaceComponent for styling the parent element of the viewChild() StepperHeader Ref.
.mat-step-header {
  background-color: #fcfcfc !important;
}
.slabs-stepper-header-container {
  width: 64vw !important;
  margin: 0 auto !important;
  background-color: #fcfcfc !important;
}

.float-right {
  float: right !important;
}

.mat-drawer-container.component-info-drawer-container .mat-drawer-backdrop,
.mat-drawer-container.test-case-info-drawer-container .mat-drawer-backdrop {
  position: fixed !important;
  top: 0 !important;
  right: 0 !important;
  bottom: 0 !important;
  left: 0 !important;
  z-index: 3 !important;
}

.z-index-1 {
  z-index: 1 !important;
}

.mat-mdc-tab-group .mat-mdc-tab-body {
  min-height: 68vh !important;
}

.mat-mdc-table .mat-sort-header-arrow {
  transform: translateY(0px) !important;
  opacity: 1 !important;
}

// SPINNER
.loading-spinner-container {
  display: flex;
  align-items: center;
  justify-content: center;
  position: fixed;
  top: 0;
  left: 0;
  width: 100vw;
  height: 100vh;
  background-color: rgba(158, 158, 158, 0.8);
  z-index: 2000;
}

// CUSTOM COMPONENTS CHIPS AND PROGRESS-BAR
.slabs-comp.ec-chips-theme .mat-mdc-chip.slabs-chip {
  --mdc-chip-label-text-color: #fff !important;
}
.slabs-comp.ec-chips-theme .mat-mdc-chip.slabs-chip.mat-primary {
  --mdc-chip-elevated-container-color: #24a148;
}
.slabs-comp.ec-chips-theme .mat-mdc-chip.slabs-chip.mat-warn {
  --mdc-chip-elevated-container-color: #da1e28;
}
.slabs-comp.ec-chips-theme .mat-mdc-chip.slabs-chip.mat-accent {
  --mdc-chip-elevated-container-color: #1733e0;
}
.slabs-comp.ec-chips-theme .mat-mdc-chip.slabs-chip.mat-undefined {
  --mdc-chip-elevated-container-color: #9e9e9e;
}
.slabs-comp.mat-mdc-progress-bar {
  --mdc-linear-progress-active-indicator-color: #24a148;
  --mdc-linear-progress-track-color: #da1e28;
  --mdc-linear-progress-track-height: 12px;
  --mdc-linear-progress-active-indicator-height: 12px;
}
.slabs-comp.mat-mdc-progress-bar.mdc-linear-progress {
  border-radius: 12px;
}

// TO HIDE (I.E. MAXIMIZE) THE CONFORMANCE TESTS SNACK BAR
.simple-notification:has(div[id^="tests-snack-bar-"].hide-snack-bar) {
  display: none !important;
}

.cdk-global-overlay-wrapper:has(div[id^="itb-tests-execution-"].d-none) {
  display: none !important;
}

.simple-notification-wrapper {
  width: fit-content !important;
  right: 10rem !important;
  display: flex !important;
  align-items: center !important;
  justify-content: end !important;
}

.simple-notification {
  width: fit-content !important;
  min-height: fit-content !important;
  background-color: #fcfcfc !important;
  color: #26324b !important;
  margin: 0 1rem !important;
  padding: 0.4rem 0.6rem !important;
  box-shadow:
    0 2px 1px -1px #26324b33,
    0 1px 1px #26324b24,
    0 1px 3px #26324b1f !important;
}

.simple-notification .sn-html {
  padding-right: 0 !important;
}

.fullscreen-dialog {
  min-width: 100vw !important;
  height: 100vh !important;
}

#kubebox-console .console-container .console-iframe {
  position: relative !important;
  top: 0 !important;
  left: 0 !important;
  width: 100% !important;
  height: 100% !important;
  border: 0 !important;
}
